ZeroTier Raspberry Pi Arch ARM

This forum is for discussion about general software issues.

ZeroTier Raspberry Pi Arch ARM

Postby carlanwray » Thu Nov 19, 2020 12:18 am

I'm trying to get ZeroTier running on Archlinux but am running into a problem. The info found here (https://github.com/zerotier/ZeroTierOne/issues/962) was useful but it comes down to this error about GLIBC:

Code: Select all
zerotier-cli: /usr/lib/libm.so.6: version `GLIBC_2.27' not found (required by zerotier-cli)
zerotier-cli: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.22' not found (required by zerotier-cli)
zerotier-cli: /usr/lib/libc.so.6: version `GLIBC_2.28' not found (required by zerotier-cli)


The quote below from the above link indicates that I need to install libstdc++6 but I'm not finding how to do that.

trobotham commented on Jun 30, 2019
ZeroTier requires libstdc++6 in order to run, if you do not have it installed, you will get said error.


Any ideas?
carlanwray
 
Posts: 2
Joined: Thu Nov 19, 2020 12:11 am

Re: ZeroTier Raspberry Pi Arch ARM

Postby graysky » Thu Nov 19, 2020 1:12 am

You're missing libraries.

Code: Select all
% pkgfile libstdc++.so.6
core/gcc-libs

% pkgfile libm.so.6
core/glibc

% pkgfile libc.so.6
core/glibc
graysky
 
Posts: 663
Joined: Sun Jun 26, 2011 6:56 am
Location: /run/user/1000

Re: ZeroTier Raspberry Pi Arch ARM

Postby carlanwray » Thu Nov 19, 2020 8:05 pm

Thank you GraySky. I am completely new to Arch but I'll see if I can figure out how to install those.
carlanwray
 
Posts: 2
Joined: Thu Nov 19, 2020 12:11 am


Return to General

Who is online

Users browsing this forum: No registered users and 1 guest